
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.moneta.test.dsl.cebia.iva package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _WSVehicleType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleType");
    private final static QName _WSAdministrativeDataType_QNAME = new QName("http://samo.cz/iva/", "WSAdministrativeDataType");
    private final static QName _WSVehicleIdentificationType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleIdentificationType");
    private final static QName _WSBrandType_QNAME = new QName("http://samo.cz/iva/", "WSBrandType");
    private final static QName _WSVehicleModelType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleModelType");
    private final static QName _WSVehicleVersionType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleVersionType");
    private final static QName _WSVersionStateEnum_QNAME = new QName("http://samo.cz/iva/", "WSVersionStateEnum");
    private final static QName _WSPriceType_QNAME = new QName("http://samo.cz/iva/", "WSPriceType");
    private final static QName _WSVehicleRegistrationType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleRegistrationType");
    private final static QName _WSVehicleVariantType_QNAME = new QName("http://samo.cz/iva/", "WSVehicleVariantType");
    private final static QName _WSGearboxType_QNAME = new QName("http://samo.cz/iva/", "WSGearboxType");
    private final static QName _WSBodyworkType_QNAME = new QName("http://samo.cz/iva/", "WSBodyworkType");
    private final static QName _WSEngineType_QNAME = new QName("http://samo.cz/iva/", "WSEngineType");
    private final static QName _WSFuelTankType_QNAME = new QName("http://samo.cz/iva/", "WSFuelTankType");
    private final static QName _ArrayOfWSEquipmentType_QNAME = new QName("http://samo.cz/iva/", "ArrayOfWSEquipmentType");
    private final static QName _WSEquipmentType_QNAME = new QName("http://samo.cz/iva/", "WSEquipmentType");
    private final static QName _WSRegistrationCertificatePartII_QNAME = new QName("http://samo.cz/iva/", "WSRegistrationCertificatePartII");
    private final static QName _WSRCIIVehicle_QNAME = new QName("http://samo.cz/iva/", "WSRCIIVehicle");
    private final static QName _WSRCIIEngine_QNAME = new QName("http://samo.cz/iva/", "WSRCIIEngine");
    private final static QName _WSRCIIEmissions_QNAME = new QName("http://samo.cz/iva/", "WSRCIIEmissions");
    private final static QName _WSRCIIBodywork_QNAME = new QName("http://samo.cz/iva/", "WSRCIIBodywork");
    private final static QName _WSRCIIDimensions_QNAME = new QName("http://samo.cz/iva/", "WSRCIIDimensions");
    private final static QName _WSRCIIWeights_QNAME = new QName("http://samo.cz/iva/", "WSRCIIWeights");
    private final static QName _WSRCIIAxles_QNAME = new QName("http://samo.cz/iva/", "WSRCIIAxles");
    private final static QName _WSRCIIOthers_QNAME = new QName("http://samo.cz/iva/", "WSRCIIOthers");
    private final static QName _WSIdentificationResponse_QNAME = new QName("http://samo.cz/iva/", "WSIdentificationResponse");
    private final static QName _ArrayOfWSVehicleType_QNAME = new QName("http://samo.cz/iva/", "ArrayOfWSVehicleType");
    private final static QName _WSSearchCriteriaTolerance_QNAME = new QName("http://samo.cz/iva/", "WSSearchCriteriaTolerance");
    private final static QName _WSIdentification3Response_QNAME = new QName("http://samo.cz/iva/", "WSIdentification3Response");
    private final static QName _ArrayOfWSIdentification3Result_QNAME = new QName("http://samo.cz/iva/", "ArrayOfWSIdentification3Result");
    private final static QName _WSIdentification3Result_QNAME = new QName("http://samo.cz/iva/", "WSIdentification3Result");
    private final static QName _WSValuation_QNAME = new QName("http://samo.cz/iva/", "WSValuation");
    private final static QName _WSVehiclePrices_QNAME = new QName("http://samo.cz/iva/", "WSVehiclePrices");
    private final static QName _WSPrice_QNAME = new QName("http://samo.cz/iva/", "WSPrice");
    private final static QName _WSResultStatus_QNAME = new QName("http://samo.cz/iva/", "WSResultStatus");
    private final static QName _WSForecast_QNAME = new QName("http://samo.cz/iva/", "WSForecast");
    private final static QName _WSInputDataType_QNAME = new QName("http://samo.cz/iva/", "WSInputDataType");
    private final static QName _WSDetailResponse_QNAME = new QName("http://samo.cz/iva/", "WSDetailResponse");
    private final static QName _WSValuationRequest_QNAME = new QName("http://samo.cz/iva/", "WSValuationRequest");
    private final static QName _WSValuationResponse_QNAME = new QName("http://samo.cz/iva/", "WSValuationResponse");
    private final static QName _WSValuationType_QNAME = new QName("http://samo.cz/iva/", "WSValuationType");
    private final static QName _WSValuation2Request_QNAME = new QName("http://samo.cz/iva/", "WSValuation2Request");
    private final static QName _WSValuation2Response_QNAME = new QName("http://samo.cz/iva/", "WSValuation2Response");
    private final static QName _WSSearchCriteriaAttributeEnum_QNAME = new QName("http://samo.cz/iva/", "WSSearchCriteriaAttributeEnum");
    private final static QName _WSSearchCriteriaValuesResponse_QNAME = new QName("http://samo.cz/iva/", "WSSearchCriteriaValuesResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.moneta.test.dsl.cebia.iva
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link WSVehicleType }
     * 
     */
    public WSVehicleType createWSVehicleType() {
        return new WSVehicleType();
    }

    /**
     * Create an instance of {@link WSIdentificationResponse }
     * 
     */
    public WSIdentificationResponse createWSIdentificationResponse() {
        return new WSIdentificationResponse();
    }

    /**
     * Create an instance of {@link WSSearchCriteriaTolerance }
     * 
     */
    public WSSearchCriteriaTolerance createWSSearchCriteriaTolerance() {
        return new WSSearchCriteriaTolerance();
    }

    /**
     * Create an instance of {@link WSIdentification3Response }
     * 
     */
    public WSIdentification3Response createWSIdentification3Response() {
        return new WSIdentification3Response();
    }

    /**
     * Create an instance of {@link WSInputDataType }
     * 
     */
    public WSInputDataType createWSInputDataType() {
        return new WSInputDataType();
    }

    /**
     * Create an instance of {@link WSDetailResponse }
     * 
     */
    public WSDetailResponse createWSDetailResponse() {
        return new WSDetailResponse();
    }

    /**
     * Create an instance of {@link WSValuationRequest }
     * 
     */
    public WSValuationRequest createWSValuationRequest() {
        return new WSValuationRequest();
    }

    /**
     * Create an instance of {@link WSValuationResponse }
     * 
     */
    public WSValuationResponse createWSValuationResponse() {
        return new WSValuationResponse();
    }

    /**
     * Create an instance of {@link WSValuation2Request }
     * 
     */
    public WSValuation2Request createWSValuation2Request() {
        return new WSValuation2Request();
    }

    /**
     * Create an instance of {@link WSValuation2Response }
     * 
     */
    public WSValuation2Response createWSValuation2Response() {
        return new WSValuation2Response();
    }

    /**
     * Create an instance of {@link WSSearchCriteriaValuesResponse }
     * 
     */
    public WSSearchCriteriaValuesResponse createWSSearchCriteriaValuesResponse() {
        return new WSSearchCriteriaValuesResponse();
    }

    /**
     * Create an instance of {@link WSAdministrativeDataType }
     * 
     */
    public WSAdministrativeDataType createWSAdministrativeDataType() {
        return new WSAdministrativeDataType();
    }

    /**
     * Create an instance of {@link WSVehicleIdentificationType }
     * 
     */
    public WSVehicleIdentificationType createWSVehicleIdentificationType() {
        return new WSVehicleIdentificationType();
    }

    /**
     * Create an instance of {@link WSBrandType }
     * 
     */
    public WSBrandType createWSBrandType() {
        return new WSBrandType();
    }

    /**
     * Create an instance of {@link WSVehicleModelType }
     * 
     */
    public WSVehicleModelType createWSVehicleModelType() {
        return new WSVehicleModelType();
    }

    /**
     * Create an instance of {@link WSVehicleVersionType }
     * 
     */
    public WSVehicleVersionType createWSVehicleVersionType() {
        return new WSVehicleVersionType();
    }

    /**
     * Create an instance of {@link WSPriceType }
     * 
     */
    public WSPriceType createWSPriceType() {
        return new WSPriceType();
    }

    /**
     * Create an instance of {@link WSVehicleRegistrationType }
     * 
     */
    public WSVehicleRegistrationType createWSVehicleRegistrationType() {
        return new WSVehicleRegistrationType();
    }

    /**
     * Create an instance of {@link WSVehicleVariantType }
     * 
     */
    public WSVehicleVariantType createWSVehicleVariantType() {
        return new WSVehicleVariantType();
    }

    /**
     * Create an instance of {@link WSGearboxType }
     * 
     */
    public WSGearboxType createWSGearboxType() {
        return new WSGearboxType();
    }

    /**
     * Create an instance of {@link WSBodyworkType }
     * 
     */
    public WSBodyworkType createWSBodyworkType() {
        return new WSBodyworkType();
    }

    /**
     * Create an instance of {@link WSEngineType }
     * 
     */
    public WSEngineType createWSEngineType() {
        return new WSEngineType();
    }

    /**
     * Create an instance of {@link WSFuelTankType }
     * 
     */
    public WSFuelTankType createWSFuelTankType() {
        return new WSFuelTankType();
    }

    /**
     * Create an instance of {@link ArrayOfWSEquipmentType }
     * 
     */
    public ArrayOfWSEquipmentType createArrayOfWSEquipmentType() {
        return new ArrayOfWSEquipmentType();
    }

    /**
     * Create an instance of {@link WSEquipmentType }
     * 
     */
    public WSEquipmentType createWSEquipmentType() {
        return new WSEquipmentType();
    }

    /**
     * Create an instance of {@link WSRegistrationCertificatePartII }
     * 
     */
    public WSRegistrationCertificatePartII createWSRegistrationCertificatePartII() {
        return new WSRegistrationCertificatePartII();
    }

    /**
     * Create an instance of {@link WSRCIIVehicle }
     * 
     */
    public WSRCIIVehicle createWSRCIIVehicle() {
        return new WSRCIIVehicle();
    }

    /**
     * Create an instance of {@link WSRCIIEngine }
     * 
     */
    public WSRCIIEngine createWSRCIIEngine() {
        return new WSRCIIEngine();
    }

    /**
     * Create an instance of {@link WSRCIIEmissions }
     * 
     */
    public WSRCIIEmissions createWSRCIIEmissions() {
        return new WSRCIIEmissions();
    }

    /**
     * Create an instance of {@link WSRCIIBodywork }
     * 
     */
    public WSRCIIBodywork createWSRCIIBodywork() {
        return new WSRCIIBodywork();
    }

    /**
     * Create an instance of {@link WSRCIIDimensions }
     * 
     */
    public WSRCIIDimensions createWSRCIIDimensions() {
        return new WSRCIIDimensions();
    }

    /**
     * Create an instance of {@link WSRCIIWeights }
     * 
     */
    public WSRCIIWeights createWSRCIIWeights() {
        return new WSRCIIWeights();
    }

    /**
     * Create an instance of {@link WSRCIIAxles }
     * 
     */
    public WSRCIIAxles createWSRCIIAxles() {
        return new WSRCIIAxles();
    }

    /**
     * Create an instance of {@link WSRCIIOthers }
     * 
     */
    public WSRCIIOthers createWSRCIIOthers() {
        return new WSRCIIOthers();
    }

    /**
     * Create an instance of {@link ArrayOfWSVehicleType }
     * 
     */
    public ArrayOfWSVehicleType createArrayOfWSVehicleType() {
        return new ArrayOfWSVehicleType();
    }

    /**
     * Create an instance of {@link ArrayOfWSIdentification3Result }
     * 
     */
    public ArrayOfWSIdentification3Result createArrayOfWSIdentification3Result() {
        return new ArrayOfWSIdentification3Result();
    }

    /**
     * Create an instance of {@link WSIdentification3Result }
     * 
     */
    public WSIdentification3Result createWSIdentification3Result() {
        return new WSIdentification3Result();
    }

    /**
     * Create an instance of {@link WSValuation }
     * 
     */
    public WSValuation createWSValuation() {
        return new WSValuation();
    }

    /**
     * Create an instance of {@link WSVehiclePrices }
     * 
     */
    public WSVehiclePrices createWSVehiclePrices() {
        return new WSVehiclePrices();
    }

    /**
     * Create an instance of {@link WSPrice }
     * 
     */
    public WSPrice createWSPrice() {
        return new WSPrice();
    }

    /**
     * Create an instance of {@link WSResultStatus }
     * 
     */
    public WSResultStatus createWSResultStatus() {
        return new WSResultStatus();
    }

    /**
     * Create an instance of {@link WSForecast }
     * 
     */
    public WSForecast createWSForecast() {
        return new WSForecast();
    }

    /**
     * Create an instance of {@link WSValuationType }
     * 
     */
    public WSValuationType createWSValuationType() {
        return new WSValuationType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleType")
    public JAXBElement<WSVehicleType> createWSVehicleType(WSVehicleType value) {
        return new JAXBElement<WSVehicleType>(_WSVehicleType_QNAME, WSVehicleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSAdministrativeDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSAdministrativeDataType")
    public JAXBElement<WSAdministrativeDataType> createWSAdministrativeDataType(WSAdministrativeDataType value) {
        return new JAXBElement<WSAdministrativeDataType>(_WSAdministrativeDataType_QNAME, WSAdministrativeDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleIdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleIdentificationType")
    public JAXBElement<WSVehicleIdentificationType> createWSVehicleIdentificationType(WSVehicleIdentificationType value) {
        return new JAXBElement<WSVehicleIdentificationType>(_WSVehicleIdentificationType_QNAME, WSVehicleIdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSBrandType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSBrandType")
    public JAXBElement<WSBrandType> createWSBrandType(WSBrandType value) {
        return new JAXBElement<WSBrandType>(_WSBrandType_QNAME, WSBrandType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleModelType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleModelType")
    public JAXBElement<WSVehicleModelType> createWSVehicleModelType(WSVehicleModelType value) {
        return new JAXBElement<WSVehicleModelType>(_WSVehicleModelType_QNAME, WSVehicleModelType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleVersionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleVersionType")
    public JAXBElement<WSVehicleVersionType> createWSVehicleVersionType(WSVehicleVersionType value) {
        return new JAXBElement<WSVehicleVersionType>(_WSVehicleVersionType_QNAME, WSVehicleVersionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVersionStateEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVersionStateEnum")
    public JAXBElement<WSVersionStateEnum> createWSVersionStateEnum(WSVersionStateEnum value) {
        return new JAXBElement<WSVersionStateEnum>(_WSVersionStateEnum_QNAME, WSVersionStateEnum.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSPriceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSPriceType")
    public JAXBElement<WSPriceType> createWSPriceType(WSPriceType value) {
        return new JAXBElement<WSPriceType>(_WSPriceType_QNAME, WSPriceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleRegistrationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleRegistrationType")
    public JAXBElement<WSVehicleRegistrationType> createWSVehicleRegistrationType(WSVehicleRegistrationType value) {
        return new JAXBElement<WSVehicleRegistrationType>(_WSVehicleRegistrationType_QNAME, WSVehicleRegistrationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehicleVariantType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehicleVariantType")
    public JAXBElement<WSVehicleVariantType> createWSVehicleVariantType(WSVehicleVariantType value) {
        return new JAXBElement<WSVehicleVariantType>(_WSVehicleVariantType_QNAME, WSVehicleVariantType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSGearboxType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSGearboxType")
    public JAXBElement<WSGearboxType> createWSGearboxType(WSGearboxType value) {
        return new JAXBElement<WSGearboxType>(_WSGearboxType_QNAME, WSGearboxType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSBodyworkType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSBodyworkType")
    public JAXBElement<WSBodyworkType> createWSBodyworkType(WSBodyworkType value) {
        return new JAXBElement<WSBodyworkType>(_WSBodyworkType_QNAME, WSBodyworkType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSEngineType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSEngineType")
    public JAXBElement<WSEngineType> createWSEngineType(WSEngineType value) {
        return new JAXBElement<WSEngineType>(_WSEngineType_QNAME, WSEngineType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSFuelTankType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSFuelTankType")
    public JAXBElement<WSFuelTankType> createWSFuelTankType(WSFuelTankType value) {
        return new JAXBElement<WSFuelTankType>(_WSFuelTankType_QNAME, WSFuelTankType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfWSEquipmentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "ArrayOfWSEquipmentType")
    public JAXBElement<ArrayOfWSEquipmentType> createArrayOfWSEquipmentType(ArrayOfWSEquipmentType value) {
        return new JAXBElement<ArrayOfWSEquipmentType>(_ArrayOfWSEquipmentType_QNAME, ArrayOfWSEquipmentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSEquipmentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSEquipmentType")
    public JAXBElement<WSEquipmentType> createWSEquipmentType(WSEquipmentType value) {
        return new JAXBElement<WSEquipmentType>(_WSEquipmentType_QNAME, WSEquipmentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRegistrationCertificatePartII }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRegistrationCertificatePartII")
    public JAXBElement<WSRegistrationCertificatePartII> createWSRegistrationCertificatePartII(WSRegistrationCertificatePartII value) {
        return new JAXBElement<WSRegistrationCertificatePartII>(_WSRegistrationCertificatePartII_QNAME, WSRegistrationCertificatePartII.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIVehicle }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIVehicle")
    public JAXBElement<WSRCIIVehicle> createWSRCIIVehicle(WSRCIIVehicle value) {
        return new JAXBElement<WSRCIIVehicle>(_WSRCIIVehicle_QNAME, WSRCIIVehicle.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIEngine }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIEngine")
    public JAXBElement<WSRCIIEngine> createWSRCIIEngine(WSRCIIEngine value) {
        return new JAXBElement<WSRCIIEngine>(_WSRCIIEngine_QNAME, WSRCIIEngine.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIEmissions }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIEmissions")
    public JAXBElement<WSRCIIEmissions> createWSRCIIEmissions(WSRCIIEmissions value) {
        return new JAXBElement<WSRCIIEmissions>(_WSRCIIEmissions_QNAME, WSRCIIEmissions.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIBodywork }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIBodywork")
    public JAXBElement<WSRCIIBodywork> createWSRCIIBodywork(WSRCIIBodywork value) {
        return new JAXBElement<WSRCIIBodywork>(_WSRCIIBodywork_QNAME, WSRCIIBodywork.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIDimensions }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIDimensions")
    public JAXBElement<WSRCIIDimensions> createWSRCIIDimensions(WSRCIIDimensions value) {
        return new JAXBElement<WSRCIIDimensions>(_WSRCIIDimensions_QNAME, WSRCIIDimensions.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIWeights }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIWeights")
    public JAXBElement<WSRCIIWeights> createWSRCIIWeights(WSRCIIWeights value) {
        return new JAXBElement<WSRCIIWeights>(_WSRCIIWeights_QNAME, WSRCIIWeights.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIAxles }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIAxles")
    public JAXBElement<WSRCIIAxles> createWSRCIIAxles(WSRCIIAxles value) {
        return new JAXBElement<WSRCIIAxles>(_WSRCIIAxles_QNAME, WSRCIIAxles.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSRCIIOthers }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSRCIIOthers")
    public JAXBElement<WSRCIIOthers> createWSRCIIOthers(WSRCIIOthers value) {
        return new JAXBElement<WSRCIIOthers>(_WSRCIIOthers_QNAME, WSRCIIOthers.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSIdentificationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSIdentificationResponse")
    public JAXBElement<WSIdentificationResponse> createWSIdentificationResponse(WSIdentificationResponse value) {
        return new JAXBElement<WSIdentificationResponse>(_WSIdentificationResponse_QNAME, WSIdentificationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfWSVehicleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "ArrayOfWSVehicleType")
    public JAXBElement<ArrayOfWSVehicleType> createArrayOfWSVehicleType(ArrayOfWSVehicleType value) {
        return new JAXBElement<ArrayOfWSVehicleType>(_ArrayOfWSVehicleType_QNAME, ArrayOfWSVehicleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSSearchCriteriaTolerance }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSSearchCriteriaTolerance")
    public JAXBElement<WSSearchCriteriaTolerance> createWSSearchCriteriaTolerance(WSSearchCriteriaTolerance value) {
        return new JAXBElement<WSSearchCriteriaTolerance>(_WSSearchCriteriaTolerance_QNAME, WSSearchCriteriaTolerance.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSIdentification3Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSIdentification3Response")
    public JAXBElement<WSIdentification3Response> createWSIdentification3Response(WSIdentification3Response value) {
        return new JAXBElement<WSIdentification3Response>(_WSIdentification3Response_QNAME, WSIdentification3Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfWSIdentification3Result }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "ArrayOfWSIdentification3Result")
    public JAXBElement<ArrayOfWSIdentification3Result> createArrayOfWSIdentification3Result(ArrayOfWSIdentification3Result value) {
        return new JAXBElement<ArrayOfWSIdentification3Result>(_ArrayOfWSIdentification3Result_QNAME, ArrayOfWSIdentification3Result.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSIdentification3Result }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSIdentification3Result")
    public JAXBElement<WSIdentification3Result> createWSIdentification3Result(WSIdentification3Result value) {
        return new JAXBElement<WSIdentification3Result>(_WSIdentification3Result_QNAME, WSIdentification3Result.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuation")
    public JAXBElement<WSValuation> createWSValuation(WSValuation value) {
        return new JAXBElement<WSValuation>(_WSValuation_QNAME, WSValuation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSVehiclePrices }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSVehiclePrices")
    public JAXBElement<WSVehiclePrices> createWSVehiclePrices(WSVehiclePrices value) {
        return new JAXBElement<WSVehiclePrices>(_WSVehiclePrices_QNAME, WSVehiclePrices.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSPrice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSPrice")
    public JAXBElement<WSPrice> createWSPrice(WSPrice value) {
        return new JAXBElement<WSPrice>(_WSPrice_QNAME, WSPrice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSResultStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSResultStatus")
    public JAXBElement<WSResultStatus> createWSResultStatus(WSResultStatus value) {
        return new JAXBElement<WSResultStatus>(_WSResultStatus_QNAME, WSResultStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSForecast }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSForecast")
    public JAXBElement<WSForecast> createWSForecast(WSForecast value) {
        return new JAXBElement<WSForecast>(_WSForecast_QNAME, WSForecast.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSInputDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSInputDataType")
    public JAXBElement<WSInputDataType> createWSInputDataType(WSInputDataType value) {
        return new JAXBElement<WSInputDataType>(_WSInputDataType_QNAME, WSInputDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSDetailResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSDetailResponse")
    public JAXBElement<WSDetailResponse> createWSDetailResponse(WSDetailResponse value) {
        return new JAXBElement<WSDetailResponse>(_WSDetailResponse_QNAME, WSDetailResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuationRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuationRequest")
    public JAXBElement<WSValuationRequest> createWSValuationRequest(WSValuationRequest value) {
        return new JAXBElement<WSValuationRequest>(_WSValuationRequest_QNAME, WSValuationRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuationResponse")
    public JAXBElement<WSValuationResponse> createWSValuationResponse(WSValuationResponse value) {
        return new JAXBElement<WSValuationResponse>(_WSValuationResponse_QNAME, WSValuationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuationType")
    public JAXBElement<WSValuationType> createWSValuationType(WSValuationType value) {
        return new JAXBElement<WSValuationType>(_WSValuationType_QNAME, WSValuationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuation2Request }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuation2Request")
    public JAXBElement<WSValuation2Request> createWSValuation2Request(WSValuation2Request value) {
        return new JAXBElement<WSValuation2Request>(_WSValuation2Request_QNAME, WSValuation2Request.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSValuation2Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSValuation2Response")
    public JAXBElement<WSValuation2Response> createWSValuation2Response(WSValuation2Response value) {
        return new JAXBElement<WSValuation2Response>(_WSValuation2Response_QNAME, WSValuation2Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSSearchCriteriaAttributeEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSSearchCriteriaAttributeEnum")
    public JAXBElement<WSSearchCriteriaAttributeEnum> createWSSearchCriteriaAttributeEnum(WSSearchCriteriaAttributeEnum value) {
        return new JAXBElement<WSSearchCriteriaAttributeEnum>(_WSSearchCriteriaAttributeEnum_QNAME, WSSearchCriteriaAttributeEnum.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WSSearchCriteriaValuesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://samo.cz/iva/", name = "WSSearchCriteriaValuesResponse")
    public JAXBElement<WSSearchCriteriaValuesResponse> createWSSearchCriteriaValuesResponse(WSSearchCriteriaValuesResponse value) {
        return new JAXBElement<WSSearchCriteriaValuesResponse>(_WSSearchCriteriaValuesResponse_QNAME, WSSearchCriteriaValuesResponse.class, null, value);
    }

}
